Page MenuHomePhabricator

Blacklist UsersMultiselectWidget in preferences saves, loads, and renders properly with both no-JS and JS
Closed, ResolvedPublic

Description

Get the widget working correctly for both no-JS and JS.

Details

Related Gerrit Patches:

Event Timeline

jrbs moved this task from Backlog to Radar on the Trust-and-Safety board.Jun 7 2017, 7:51 PM

Change 354982 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/core@master] WIP: Update \n handling for HTMLUsersMultiselectField

https://gerrit.wikimedia.org/r/354982

Change 354982 merged by jenkins-bot:
[mediawiki/core@master] Fix \n handling for HTMLUsersMultiselectField

https://gerrit.wikimedia.org/r/354982

Etonkovidova added a subscriber: Etonkovidova.EditedJul 3 2017, 7:01 PM

@TBolliger
Checked in betalabs - js Blacklist UsersMultiselectWidget works as expected.

For no-JS mode - all functionality works; there is no indication to a user what delimiters can be used for adding multiple usernames to the Block list:

@Etonkovidova — so can this ticket be closed as resolved?

We will fix the non-JS copy in T166626

@TBolliger - yes, the ticket can be marked as 'Resolved' .

TBolliger closed this task as Resolved.Jul 24 2017, 9:14 PM